public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/libpod/
Date: Thu, 11 Apr 2019 22:53:00 +0000 (UTC)	[thread overview]
Message-ID: <1555023139.3dbc37a8acc6ff9ebeef53461f727c5bef2ba5bf.zmedico@gentoo> (raw)

commit:     3dbc37a8acc6ff9ebeef53461f727c5bef2ba5bf
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 11 22:52:19 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 22:52:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dbc37a8

app-emulation/libpod: version bump to 1.2.0

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/libpod/Manifest            |   1 +
 app-emulation/libpod/libpod-1.2.0.ebuild | 139 +++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

diff --git a/app-emulation/libpod/Manifest b/app-emulation/libpod/Manifest
index 78c20acb7e4..a653916cdbd 100644
--- a/app-emulation/libpod/Manifest
+++ b/app-emulation/libpod/Manifest
@@ -1 +1,2 @@
 DIST libpod-1.1.2.tar.gz 7878228 BLAKE2B 8974949843c6f966d48715df320e47b814e442e374e1393dd5a116c6f7222e9ce29f480205f6a58e213e6cead58e5b4f31fd776865911b22e517607349654d35 SHA512 55456fe03da0873d3f6c67ced25dbe98f6a5a14c3da64ab2b4a9c6161c1d727ec8cdfe5414b534531e440e8c86f909449f4026d66898b909924aba1744ec0682
+DIST libpod-1.2.0.tar.gz 7978520 BLAKE2B c1be831553ced9795de266886890c36e89f2b6c2012cbe4f36fa49194c3a825abc097af879326e8e1ad7886ea188d60c42fe1dfa1ad46057c5928f3b5c4f7cd4 SHA512 16ae8fa8a6e9a15d17f7aebe0842bf41e289cbbe5ea8e997c26b2d3e984d669386022e7d1479ca31e8cab8990ae4e2dc1cf753f010bf9aeb03a34199b1146e89

diff --git a/app-emulation/libpod/libpod-1.2.0.ebuild b/app-emulation/libpod/libpod-1.2.0.ebuild
new file mode 100644
index 00000000000..526d4b90cde
--- /dev/null
+++ b/app-emulation/libpod/libpod-1.2.0.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_COMMIT="3bd528e583182b4249f3e6bbd8497a8831d89950"
+EGO_PN="github.com/containers/${PN}"
+
+inherit golang-vcs-snapshot systemd
+
+DESCRIPTION="Library and podman tool for running OCI-based containers in Pods"
+HOMEPAGE="https://github.com/containers/libpod/"
+SRC_URI="https://github.com/containers/libpod/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+KEYWORDS="~amd64"
+IUSE="apparmor btrfs ostree +rootless selinux"
+REQUIRED_USE="!selinux? ( !ostree )"
+RESTRICT="test"
+
+COMMON_DEPEND="
+	app-crypt/gpgme:=
+	>=app-emulation/cri-o-1.13.0
+	>=app-emulation/runc-1.0.0_rc6
+	dev-libs/libassuan:=
+	dev-libs/libgpg-error:=
+	sys-fs/lvm2
+	sys-libs/libseccomp:=
+
+	apparmor? ( sys-libs/libapparmor )
+	btrfs? ( sys-fs/btrfs-progs )
+	ostree? (
+		dev-libs/glib:=
+		dev-util/ostree:=
+	)
+	rootless? ( app-emulation/slirp4netns )
+	selinux? ( sys-libs/libselinux:= )
+"
+DEPEND="
+	${COMMON_DEPEND}
+	dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}"
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+	default
+
+	# Disable installation of python modules here, since those are
+	# installed by separate ebuilds.
+	sed -e '/^GIT_.*/d' \
+		-e 's/$(GO) build/$(GO) build -v -work -x/' \
+		-e 's/^\(install:.*\) install\.python$/\1/' \
+		-i Makefile || die
+}
+
+src_compile() {
+	[[ -f hack/apparmor_tag.sh ]] || die
+	if use apparmor; then
+		echo -e "#!/bin/sh\necho apparmor" > hack/apparmor_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/apparmor_tag.sh || die
+	fi
+
+	[[ -f hack/btrfs_installed_tag.sh ]] || die
+	if use btrfs; then
+		echo -e "#!/bin/sh\ntrue" > hack/btrfs_installed_tag.sh || die
+	else
+		echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+			hack/btrfs_installed_tag.sh || die
+	fi
+
+	[[ -f hack/ostree_tag.sh ]] || die
+	if use ostree; then
+		echo -e "#!/bin/sh\necho ostree" > hack/ostree_tag.sh || die
+	else
+		echo -e "#!/bin/sh\necho containers_image_ostree_stub" > hack/ostree_tag.sh || die
+	fi
+
+	[[ -f hack/selinux_tag.sh ]] || die
+	if use selinux; then
+		echo -e "#!/bin/sh\necho selinux" > hack/selinux_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/selinux_tag.sh || die
+	fi
+
+	env -u GOCACHE -u LDFLAGS -u XDG_CACHE_HOME GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
+		emake all \
+			GIT_BRANCH=master \
+			GIT_BRANCH_CLEAN=master \
+			COMMIT_NO="${EGIT_COMMIT}" \
+			GIT_COMMIT="${EGIT_COMMIT}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${D}${EPREFIX}/usr" install
+
+	insinto /etc/containers
+	newins test/registries.conf registries.conf.example
+	newins test/policy.json policy.json.example
+
+	newinitd "${FILESDIR}"/podman.initd podman
+
+	systemd_dounit "${S}"/contrib/varlink/*.service "${S}"/contrib/varlink/*.socket
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/podman.logrotated" podman
+
+	keepdir /var/lib/containers
+}
+
+pkg_preinst() {
+	LIBPOD_ROOTLESS_UPGRADE=false
+	if use rootless; then
+		has_version 'app-emulation/libpod[rootless]' || LIBPOD_ROOTLESS_UPGRADE=true
+	fi
+}
+
+pkg_postinst() {
+	local want_newline=false
+	if [[ ! ( -e ${EROOT%/*}/etc/containers/policy.json && -e ${EROOT%/*}/etc/containers/registries.conf ) ]]; then
+		elog "You need to create the following config files:"
+		elog "/etc/containers/registries.conf"
+		elog "/etc/containers/policy.json"
+		elog "To copy over default examples, use:"
+		elog "cp /etc/containers/registries.conf{.example,}"
+		elog "cp /etc/containers/policy.json{.example,}"
+		want_newline=true
+	fi
+	if [[ ${LIBPOD_ROOTLESS_UPGRADE} == true ]] ; then
+		${want_newline} && elog ""
+		elog "For rootless operation, you need to configure subuid/subgid"
+		elog "for user running podman. In case subuid/subgid has only been"
+		elog "configured for root, run:"
+		elog "usermod --add-subuids 1065536-1131071 <user>"
+		elog "usermod --add-subgids 1065536-1131071 <user>"
+		want_newline=true
+	fi
+}


             reply	other threads:[~2019-04-11 22:53 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-11 22:53 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-01-18  1:11 [gentoo-commits] repo/gentoo:master commit in: app-emulation/libpod/ Zac Medico
2020-12-29 18:03 Zac Medico
2020-12-29  0:03 Zac Medico
2020-09-23 16:12 Zac Medico
2020-09-23  5:40 Zac Medico
2020-08-30  0:12 Zac Medico
2020-08-29 22:45 Sam James
2020-07-31 21:06 Zac Medico
2020-07-23 18:23 Zac Medico
2020-07-16  0:47 Zac Medico
2020-06-28 20:53 Zac Medico
2020-06-20  3:26 Zac Medico
2020-06-09 23:02 Zac Medico
2020-06-09 23:02 Zac Medico
2020-05-25 22:53 Zac Medico
2020-04-19 22:57 Zac Medico
2020-04-19 22:57 Zac Medico
2020-04-05 19:41 Zac Medico
2020-04-02  0:49 Zac Medico
2020-03-09 22:21 Zac Medico
2020-02-08  3:17 Zac Medico
2020-01-19 21:22 Zac Medico
2020-01-19 21:17 Zac Medico
2020-01-18  0:59 Zac Medico
2019-12-13 22:26 Zac Medico
2019-12-06  8:05 Zac Medico
2019-11-26  4:26 Zac Medico
2019-11-24 19:46 Zac Medico
2019-11-15 21:38 Zac Medico
2019-11-09 22:52 Zac Medico
2019-11-09 22:37 Zac Medico
2019-11-03 21:41 Zac Medico
2019-10-18  5:30 Zac Medico
2019-09-19  3:37 Zac Medico
2019-09-19  3:37 Zac Medico
2019-09-07  0:34 Zac Medico
2019-08-21 19:45 Zac Medico
2019-07-18 19:48 Zac Medico
2019-06-10 17:51 Zac Medico
2019-06-01  6:16 Zac Medico
2019-06-01  6:10 Zac Medico
2019-05-28 23:47 Zac Medico
2019-04-11 21:42 Zac Medico
2019-03-13 16:52 Zac Medico
2019-02-19 19:45 Zac Medico
2019-02-17  2:44 Zac Medico
2019-01-07 10:16 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1555023139.3dbc37a8acc6ff9ebeef53461f727c5bef2ba5bf.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox